/**
 * BuildingNumber.java
 *
 * File generated from the medication::BuildingNumber uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration BuildingNumber.
 *
 * 
 */

@XmlType(name = "BuildingNumber")
@XmlEnum
@XmlRootElement(name = "BuildingNumber")
public enum BuildingNumber {
	@XmlEnumValue("BNR")
	BNR("BNR"),
	@XmlEnumValue("BNN")
	BNN("BNN"),
	@XmlEnumValue("BNS")
	BNS("BNS");
	
	private final String value;

    BuildingNumber(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static BuildingNumber fromValue(String v) {
        for (BuildingNumber c: BuildingNumber.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}